package org.project.entity.enemies;

import org.project.entity.Entity;


public class Dragon extends Enemy{
    private final int attackDamage;

    public Dragon(int hp, int mp, int attackDamage){
        super(hp, mp);
        this.attackDamage = attackDamage;
    }
    public int getAttackDamage(){
        return attackDamage;
    }

    @Override
    public void SpecialAbility(Entity target) {
        target.takeDamage(attackDamage*2);

    }
    @Override
    public String defend() {
        return "dragon ignores defense";
    }
}
